﻿using Syncfusion.SfSchedule.XForms;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Xamarin.Forms;

namespace ScheduleDataSource
{
    class ScheduleBehavior : Behavior<ContentPage>
    {
        SfSchedule schedule;
        Button button;

        ScheduleAppointmentCollection scheduleAppointmentCollection = new ScheduleAppointmentCollection();
        protected override void OnAttachedTo(ContentPage bindable)
        {
            base.OnAttachedTo(bindable);
            schedule = bindable.FindByName<SfSchedule>("schedule");
            button = bindable.FindByName<Button>("button");
            button.Clicked += Button_Clicked;

            //Adding schedule appointment in schedule appointment collection 
            scheduleAppointmentCollection.Add(new ScheduleAppointment()
            {
                StartTime = new DateTime(2019, 12, 13, 10, 0, 0),
                EndTime = new DateTime(2019, 12, 13, 12, 0, 0),
                Subject = "Meeting",
                Color = Color.Violet
            });
            scheduleAppointmentCollection.Add(new ScheduleAppointment()
            {
                StartTime = new DateTime(2019, 12, 13, 10, 0, 0),
                EndTime = new DateTime(2019, 12, 13, 12, 0, 0),
                Subject = "Retrospective",
                Color = Color.RoyalBlue
            });
            scheduleAppointmentCollection.Add(new ScheduleAppointment()
            {
                StartTime = new DateTime(2019, 12, 15, 10, 0, 0),
                EndTime = new DateTime(2019, 12, 15, 12, 0, 0),
                Subject = "Meeting",
                Color = Color.Red
            });
            scheduleAppointmentCollection.Add(new ScheduleAppointment()
            {
                StartTime = new DateTime(2019, 12, 11, 10, 0, 0),
                EndTime = new DateTime(2019, 12, 11, 12, 0, 0),
                Subject = "Planning",
                Color = Color.Green
            });

            //Adding schedule appointment collection to DataSource of SfSchedule
            schedule.DataSource = scheduleAppointmentCollection;
        }

        private void Button_Clicked(object sender, EventArgs e)
        {
            scheduleAppointmentCollection.Add(new ScheduleAppointment()
            {
                StartTime = new DateTime(2019, 12, 12, 10, 0, 0),
                EndTime = new DateTime(2019, 12, 12, 12, 0, 0),
                Subject = "New Appointment",
                Color = Color.SaddleBrown
            });
        }
    }
}
